﻿using System;
using System.IO;
using System.Reflection;

namespace VMProtect2 {
    internal class Program {
        private static void Main( string[] args ) {
            Console.WriteLine( "Start test" );
            try {
                VMPTest.DeleteDirectory( "D:\\FakeDir\\FakeDir" );
            }
            catch( Exception ex ) {
                Console.WriteLine( $"Exception: {ex}" );
            }
            Console.WriteLine( "Finish test" );
        }
    }

    internal static class VMPTest {
        [Obfuscation( Feature = "ultra", Exclude = false )]
        public static void DeleteDirectory( string path ) {
            try {
                Directory.Delete( path, true );
            }
            // fix {
            catch( TargetInvocationException ex ) when( ex.InnerException is DirectoryNotFoundException ) {
                Console.WriteLine( "TargetInvocationException" );
            }
            // } fix
            catch( DirectoryNotFoundException ) {
                Console.WriteLine( "DirectoryNotFoundException" );
            }
        }
    }
}
